/*
 * Copyright (C) 2016  Morgan McMillian <gilag@monkeystew.com>
 *
 * This file is apart of the Goober application, a client for pnut.io
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import bb.cascades 1.4

Sheet {
//    peekEnabled: false
    signal login
    
    Page {
        Container {
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            layout: DockLayout {}
            Container {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Center

                Container {
                    Label {
                        text: "Goober"
                        horizontalAlignment: HorizontalAlignment.Center
                        textStyle.fontSize: FontSize.XXLarge
                    }
                    Label {
                        text: "A short messaging client for the pnut.io network."
                        multiline: true
                        bottomMargin: ui.du(6.0)
                    }
                    Button {
                        text: qsTr("Sign In")
                        onClicked: {
                            login()
                        }
                        horizontalAlignment: HorizontalAlignment.Center
                    }
                    Container {
                        
                    }
                    Label {
                        text: "<a href=\"https://zoidberg.monkeystew.net/tmp/X3.cer\">DST Root CA X3</a>"
                        textFormat: TextFormat.Html
                        horizontalAlignment: HorizontalAlignment.Center
                    }
                }
            }
        }
    }
}