/*
 * Copyright (C) 2016  Morgan McMillian <gilag@monkeystew.com>
 *
 * This file is apart of the Goober application, a client for pnut.io
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import bb.cascades 1.4

Container {
    signal refresh
    
    property variant theme : Application.themeSupport.theme.colorTheme.style
    
    Label {
        id: label_refresh
        text: qsTr("Load Newer")
        horizontalAlignment: HorizontalAlignment.Center
    }
    ImageView {
        id: icon_refresh
        imageSource: "asset:///icons/refresh.png"
        horizontalAlignment: HorizontalAlignment.Center
        filterColor: (theme == VisualStyle.Bright) ? Color.Black : false
    }
    Divider {}
    attachedObjects: [
        LayoutUpdateHandler {
            onLayoutFrameChanged: {
                icon_refresh.rotationZ = layoutFrame.y
                if (layoutFrame.y >= 0.0 * layoutFrame.height) {
                    if (layoutFrame.y == 0) {
                        refresh()
                    }
                }
            }
        }
    ]
}
