/*
 * Copyright (C) 2016  Morgan McMillian <gilag@monkeystew.com>
 *
 * This file is apart of the Goober application, a client for pnut.io
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import bb.cascades 1.4
import com.netimage 1.0

Page {
    
    signal follow(string uid)
    signal unfollow(string uid)
    signal block(string uid)
    signal unblock(string uid)
    signal mute(string uid)
    signal unmute(string uid)
    
    Container {
        ListView {
            id: threadView
            property variant listImageManager: feedImageManager
            property variant userImageManager: userImageManager
            dataModel: ArrayDataModel {
                id: threadModel
            }
            listItemComponents: [
                ListItemComponent {
                    id: root
                    PostItem {}
                }
            ]
            function sendReply(text, pid) {
                pnut.sendPost(text, pid);
            }
            function  getUserName() {
                return _app.setting("username")
            }
            function viewProfile(userobj) {
                var page = profilePage.createObject();
                page.user = userobj
                page.follow.connect(follow)
                page.unfollow.connect(unfollow)
                page.block.connect(block)
                page.unblock.connect(unblock)
                page.mute.connect(mute)
                page.unmute.connect(unmute)
                nav.push(page);
            }
            function ccOnReply() {
                if (_app.setting("cc") === "true") {
                    return true
                } else {
                    return false
                }
            }
            function hidePhoto() {
                if (_app.setting("hidephoto") === "true") {
                    return true
                } else {
                    return false
                }
            }
            function hideAvatar() {
                if (_app.setting("hideavatar") === "true") {
                    return true
                } else {
                    return false
                }
            }
            function hideLongPosts() {
                if (_app.setting("hidelongp") === "true") {
                    return true
                } else {
                    return false
                }
            }
            function showImage(filename) {
                _app.showImage(filename)
            }
            attachedObjects: [
                NetImageManager {
                    id: feedImageManager
                    cacheId: "feedImageManager"
                    cacheSize: 250
                },
                NetImageManager {
                    id: userImageManager
                    cacheId: "userImageManager"
                }
            ]
        }
    }
    
    function loadThread(data) {
        threadModel.append(data);
    }
}
